/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import { type RequestOption } from "@microsoft/kiota-abstractions";
import type { Middleware } from "./middleware.js";
import { BaseBearerTokenAuthenticationProvider } from "@microsoft/kiota-abstractions";
export declare class AuthorizationHandler implements Middleware {
    private readonly authenticationProvider;
    next: Middleware | undefined;
    /**
     * A member holding the name of content range header
     */
    private static readonly AUTHORIZATION_HEADER;
    constructor(authenticationProvider: BaseBearerTokenAuthenticationProvider);
    execute(url: string, requestInit: RequestInit, requestOptions?: Record<string, RequestOption>): Promise<Response>;
    private executeInternal;
    private authorizationIsPresent;
    private authenticateRequest;
    private readonly getClaimsFromResponse;
}
//# sourceMappingURL=authorizationHandler.d.ts.map