/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
/**
 * @module FetchHandler
 */
import type { Middleware } from "./middleware.js";
/**
 * Middleware
 * Class for FetchHandler
 */
export declare class CustomFetchHandler implements Middleware {
    private readonly customFetch;
    /**
     *
     * The next middleware in the middleware chain
     */
    next: Middleware | undefined;
    constructor(customFetch: (input: string, init: RequestInit) => Promise<Response>);
    /**
     * @inheritdoc
     */
    execute(url: string, requestInit: RequestInit): Promise<Response>;
}
//# sourceMappingURL=customFetchHandler.d.ts.map