/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import { type RequestOption } from "@microsoft/kiota-abstractions";
import type { Middleware } from "./middleware.js";
import { HeadersInspectionOptions } from "./options/headersInspectionOptions.js";
/**
 * Middleware
 * Inspects the headers of the request and response
 */
export declare class HeadersInspectionHandler implements Middleware {
    private readonly _options;
    /**
     *
     * Creates new instance of HeadersInspectionHandler
     * @param _options The options for inspecting the headers
     */
    constructor(_options?: HeadersInspectionOptions);
    /**
     *
     * The next middleware in the middleware chain
     */
    next: Middleware | undefined;
    execute(url: string, requestInit: RequestInit, requestOptions?: Record<string, RequestOption>): Promise<Response>;
    private executeInternal;
}
//# sourceMappingURL=headersInspectionHandler.d.ts.map