/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import { Middleware } from "./middleware.js";
/**
 *
 * Class containing function(s) related to the middleware pipelines.
 */
export declare class MiddlewareFactory {
    /**
     * @param customFetch - The custom fetch implementation
     * Returns the default middleware chain an array with the  middleware handlers
     * @returns an array of the middleware handlers of the default middleware chain
     */
    static getDefaultMiddlewares(customFetch?: (request: string, init: RequestInit) => Promise<Response>): Middleware[];
    /**
     * @param customFetch - The custom fetch implementation
     * Returns the default middleware chain + performance middleware
     * @returns an array of the middleware handlers of the default + performance middleware chain
     */
    static getPerformanceMiddlewares(customFetch?: (request: string, init: RequestInit) => Promise<Response>): Middleware[];
}
//# sourceMappingURL=middlewareFactory.d.ts.map