/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
/**
 * @module RetryHandlerOptions
 */
import type { RequestOption } from "@microsoft/kiota-abstractions";
/**
 * Key for the compression replace handler options.
 */
export declare const CompressionHandlerOptionsKey = "CompressionHandlerOptionsKey";
/**
 * Options for the compression handler.
 */
export declare class CompressionHandlerOptions implements RequestOption {
    private readonly _enableCompression;
    /**
     * Create a new instance of the CompressionHandlerOptions class
     * @param config the configuration to apply to the compression handler options.
     */
    constructor(config?: Partial<CompressionHandlerOptionsParams>);
    /**
     * @inheritdoc
     */
    getKey(): string;
    /**
     * Returns whether the compression handler is enabled or not.
     * @returns whether the compression handler is enabled or not.
     */
    get ShouldCompress(): boolean;
}
/**
 * Parameters for the CompressionHandlerOptionsParams class constructor
 */
export interface CompressionHandlerOptionsParams {
    enableCompression: boolean;
}
//# sourceMappingURL=compressionHandlerOptions.d.ts.map