/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
/**
 * Key for the compression replace handler options.
 */
export const CompressionHandlerOptionsKey = "CompressionHandlerOptionsKey";
/**
 * Options for the compression handler.
 */
export class CompressionHandlerOptions {
    /**
     * Create a new instance of the CompressionHandlerOptions class
     * @param config the configuration to apply to the compression handler options.
     */
    constructor(config) {
        var _a;
        this._enableCompression = (_a = config === null || config === void 0 ? void 0 : config.enableCompression) !== null && _a !== void 0 ? _a : true;
    }
    /**
     * @inheritdoc
     */
    getKey() {
        return CompressionHandlerOptionsKey;
    }
    /**
     * Returns whether the compression handler is enabled or not.
     * @returns whether the compression handler is enabled or not.
     */
    get ShouldCompress() {
        return this._enableCompression;
    }
}
//# sourceMappingURL=compressionHandlerOptions.js.map