/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
export const ParametersNameDecodingHandlerOptionsKey = "RetryHandlerOptionKey";
/** The ParametersNameDecodingOptions request class */
export class ParametersNameDecodingHandlerOptions {
    getKey() {
        return ParametersNameDecodingHandlerOptionsKey;
    }
    /**
     *
     * To create an instance of ParametersNameDecodingHandlerOptions
     * @param [options] - The optional parameters
     * @returns An instance of ParametersNameDecodingHandlerOptions
     * @example ParametersNameDecodingHandlerOptions({ enable: true, charactersToDecode: [".", "-", "~", "$"] });
     */
    constructor(options = {}) {
        var _a, _b;
        this.enable = (_a = options.enable) !== null && _a !== void 0 ? _a : true;
        this.charactersToDecode = (_b = options.charactersToDecode) !== null && _b !== void 0 ? _b : [".", "-", "~", "$"];
    }
}
//# sourceMappingURL=parametersNameDecodingOptions.js.map