/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import type { RequestOption } from "@microsoft/kiota-abstractions";
import type { Middleware } from "./middleware.js";
import { ParametersNameDecodingHandlerOptions } from "./options/parametersNameDecodingOptions.js";
/**
 * @module ParametersNameDecodingHandler
 */
export declare class ParametersNameDecodingHandler implements Middleware {
    private readonly options;
    /**
     *
     * To create an instance of ParametersNameDecodingHandler
     * @param [options] - The parameters name decoding handler options value
     */
    constructor(options?: ParametersNameDecodingHandlerOptions);
    /** @inheritdoc */
    next: Middleware | undefined;
    /**
     * To execute the current middleware
     * @param url - The url to be fetched
     * @param requestInit - The request init object
     * @param requestOptions - The request options
     * @returns A Promise that resolves to nothing
     */
    execute(url: string, requestInit: RequestInit, requestOptions?: Record<string, RequestOption>): Promise<Response>;
    private decodeParameters;
}
//# sourceMappingURL=parametersNameDecodingHandler.d.ts.map