/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import type { RequestOption } from "@microsoft/kiota-abstractions";
import type { Middleware } from "./middleware.js";
import type { TelemetryHandlerOptions } from "./options/telemetryHandlerOptions.js";
export declare const TelemetryHandlerOptionsKey = "TelemetryHandlerOptionsKey";
export declare class TelemetryHandler implements Middleware {
    private readonly telemetryHandlerOptions;
    constructor(telemetryHandlerOptions: TelemetryHandlerOptions);
    next: Middleware | undefined;
    execute(url: string, requestInit: RequestInit, requestOptions?: Record<string, RequestOption>): Promise<Response>;
}
//# sourceMappingURL=telemetryHandler.d.ts.map