/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import type { RequestOption } from "@microsoft/kiota-abstractions";
import type { Middleware } from "./middleware.js";
import { UrlReplaceHandlerOptions } from "./options/urlReplaceHandlerOptions.js";
/**
 * Replaces url placeholders with values from the request option.
 */
export declare class UrlReplaceHandler implements Middleware {
    private readonly handlerOptions;
    /**
     *
     * Creates a new instance of the UrlReplaceHandler class
     * @param handlerOptions The options for the url replace handler.
     * @returns An instance of the UrlReplaceHandler class
     */
    constructor(handlerOptions?: UrlReplaceHandlerOptions);
    next: Middleware | undefined;
    /**
     * @inheritdoc
     */
    execute(url: string, requestInit: RequestInit, requestOptions?: Record<string, RequestOption>): Promise<Response>;
    private replaceTokensInUrl;
}
//# sourceMappingURL=urlReplaceHandler.d.ts.map