/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
/**
 * @module UserAgentHandler
 */
import type { RequestOption } from "@microsoft/kiota-abstractions";
import type { Middleware } from "./middleware.js";
import { UserAgentHandlerOptions } from "./options/userAgentHandlerOptions.js";
export declare class UserAgentHandler implements Middleware {
    private readonly _options;
    /**
     * To create an instance of UserAgentHandler
     * @param _options - The options for the middleware
     */
    constructor(_options?: UserAgentHandlerOptions);
    /** @inheritdoc */
    next: Middleware | undefined;
    /** @inheritdoc */
    execute(url: string, requestInit: RequestInit, requestOptions?: Record<string, RequestOption>): Promise<Response>;
    private addValue;
}
//# sourceMappingURL=userAgentHandler.d.ts.map