/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import type { FetchRequestInit } from "./fetchDefinitions.js";
/**
 * @module MiddlewareUtil
 */
/**
 * To get the request header from the request
 * @param options - The request options object
 * @param key - The header key string
 * @returns A header value for the given key from the request
 */
export declare const getRequestHeader: (options: FetchRequestInit | undefined, key: string) => string | undefined;
/**
 * To set the header value to the given request
 * @param options - The request options object
 * @param key - The header key string
 * @param value - The header value string
 */
export declare const setRequestHeader: (options: FetchRequestInit | undefined, key: string, value: string) => void;
/**
 * To delete the header key to the given request
 * @param options - The request options object
 * @param key - The header key string
 */
export declare const deleteRequestHeader: (options: FetchRequestInit | undefined, key: string) => void;
/**
 * To append the header value to the given request
 * @param options - The request options object
 * @param key - The header key string
 * @param value - The header value string
 * @param separator - The separator string
 */
export declare const appendRequestHeader: (options: FetchRequestInit | undefined, key: string, value: string, separator?: string) => void;
//# sourceMappingURL=headersUtil.d.ts.map